Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.desktop
Class BusinessInternalFrame

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JInternalFrame
                      de.jsystems.framework.controls.FInternalFrame
                          de.jsystems.framework.desktop.BusinessInternalFrame

All Implemented Interfaces:
  Accessible, IActionInterface, IAncestor, IComponent, IContainer, IFocus, IHierarchy, IHierarchyBounds, IInputMethod, IInternalFrame, IKey, ImageObserver, IMouse, IMouseInput, IMouseMotion, IPropertyChange, IVetoableChange, MenuContainer, RootPaneContainer, Serializable, WindowConstants

public class BusinessInternalFrame
extends FInternalFrame

Diese Klasse enthält die Standardfunktionalität für ein InternalFrame. Diese Frames werden innerhalb eines `Desktop` dargestellt.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JInternalFrame
`JInternalFrame.AccessibleJInternalFrame, JInternalFrame.JDesktopIcon`

Nested classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`protected BusinessInternalFrameController` | `internalFrameController` Controller für dieses InternalFrame.
`protected String` | `name` Name des Frames.

Fields inherited from class javax.swing.JInternalFrame
`closable, CONTENT_PANE_PROPERTY, desktopIcon, FRAME_ICON_PROPERTY, frameIcon, GLASS_PANE_PROPERTY, iconable, IS_CLOSED_PROPERTY, IS_ICON_PROPERTY, IS_MAXIMUM_PROPERTY, IS_SELECTED_PROPERTY, isClosed, isIcon, isMaximum, isSelected, LAYERED_PANE_PROPERTY, maximizable, MENU_BAR_PROPERTY, resizable, ROOT_PANE_PROPERTY, rootPane, rootPaneCheckingEnabled, title, TITLE_PROPERTY`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Container
``

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`BusinessInternalFrame(String name)` Erzeugt ein neues InternalFrame.
`BusinessInternalFrame(String name, String titel)` Erzeugt ein neues InternalFrame mit dem übergebenen Namen und Titel.

Method Summary
`BusinessInternalFrameController` | `getController()` Gibt den Controller dieses Frames zurück.
`String` | `getName()` Gibt den Namen des Frames zurück.
`boolean` | `isDanger()` Gibt den durch die Methode `setDanger(boolean)` gesetzten Status zurueck.
`boolean` | `isDragging()` Gibt zurueck, ob dieses InternalFrame bewegt wird oder nicht.
`protected void` | `paintComponent(Graphics g)` Zeichnet das InternalFrame neu.
`void` | `setController(BusinessInternalFrameController internalFrameController)` Setzt den Controller für dieses Frame.
`void` | `setDanger(boolean danger)` Kennzeichnet, das dieses InternalFrame moeglicherweise neu gezeichnet werden sollte, da es teilweise ausserhalb des sichtbaren Bildschirmes gelegen hat.
`void` | `setDragging(boolean isDragging)` Wird vom DesktopManager aufgerufen, wenn dieses InternalFrame bewegt werden soll.

Methods inherited from class de.jsystems.framework.controls.FInternalFrame
`addMouseInputListener, getActionClassForAncestor, getActionClassForComponent, getActionClassForContainer, getActionClassForFocus, getActionClassForHierarchy, getActionClassForHierarchyBounds, getActionClassForInputMethod, getActionClassForInternalFrame, getActionClassForKey, getActionClassForMouse, getActionClassForMouseInput, getActionClassForMouseMotion, getActionClassForPropertyChange, getActionClassForVetoableChange, removeMouseInputListener, setActionClassForAncestor, setActionClassForComponent, setActionClassForContainer, setActionClassForFocus, setActionClassForHierarchy, setActionClassForHierarchyBounds, setActionClassForInputMethod, setActionClassForInternalFrame, setActionClassForKey, setActionClassForMouse, setActionClassForMouseInput, setActionClassForMouseMotion, setActionClassForPropertyChange, setActionClassForVetoableChange`

Methods inherited from class javax.swing.JInternalFrame
`addImpl, addInternalFrameListener, createRootPane, dispose, doDefaultCloseAction, fireInternalFrameEvent, getAccessibleContext, getContentPane, getDefaultCloseOperation, getDesktopIcon, getDesktopPane, getFocusCycleRootAncestor, getFocusOwner, getFrameIcon, getGlassPane, getInternalFrameListeners, getJMenuBar, getLayer, getLayeredPane, getMenuBar, getMostRecentFocusOwner, getNormalBounds, getRootPane, getTitle, getUI, getUIClassID, getWarningString, hide, isClosable, isClosed, isFocusCycleRoot, isIcon, isIconifiable, isMaximizable, isMaximum, isResizable, isRootPaneCheckingEnabled, isSelected, moveToBack, moveToFront, pack, paramString, remove, removeInternalFrameListener, reshape, restoreSubcomponentFocus, setClosable, setClosed, setContentPane, setDefaultCloseOperation, setDesktopIcon, setFocusCycleRoot, setFrameIcon, setGlassPane, setIcon, setIconifiable, setJMenuBar, setLayer, setLayer, setLayeredPane, setLayout, setMaximizable, setMaximum, setMenuBar, setNormalBounds, setResizable, setRootPane, setRootPaneCheckingEnabled, setSelected, setTitle, setUI, show, toBack, toFront, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, removeAll, removeContainerListener, setFocusTraversalKeys, setFocusTraversalPolicy, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.jsystems.framework.common.action.IActionInterface
`isEnabled, setEnabled`

Methods inherited from interface de.jsystems.framework.common.action.swing.IInternalFrame
`addInternalFrameListener, removeInternalFrameListener`

Methods inherited from interface de.jsystems.framework.common.action.swing.IAncestor
`addAncestorListener, removeAncestorListener`

Methods inherited from interface de.jsystems.framework.common.action.beans.IPropertyChange
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from interface de.jsystems.framework.common.action.beans.IVetoableChange
`addVetoableChangeListener, removeVetoableChangeListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IContainer
`addContainerListener, removeContainerListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IComponent
`addComponentListener, removeComponentListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IFocus
`addFocusListener, removeFocusListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IHierarchy
`addHierarchyListener, removeHierarchyListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IHierarchyBounds
`addHierarchyBoundsListener, removeHierarchyBoundsListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IInputMethod
`addInputMethodListener, removeInputMethodListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IKey
`addKeyListener, removeKeyListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IMouse
`addMouseListener, removeMouseListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IMouseMotion
`addMouseMotionListener, removeMouseMotionListener`

Field Detail

### internalFrameController

    protected BusinessInternalFrameController internalFrameController

  Controller für dieses InternalFrame.

### name

    protected String name

  Name des Frames.

Constructor Detail

### BusinessInternalFrame

    public BusinessInternalFrame(String name)

  Erzeugt ein neues InternalFrame. Das Fenster ist per default schliessbar und in der Größe veränderbar. Name und Titel des Fensters sind gleich.

Parameters:
  `name` - Der Name des InternalFrame. Dieser wird auch gleichzeitig als Titel angezeigt.

### BusinessInternalFrame

    public BusinessInternalFrame(String name,
                                 String titel)

  Erzeugt ein neues InternalFrame mit dem übergebenen Namen und Titel. Das Fenster ist per default schliessbar und in der Größe veränderbar.

Parameters:
  `name` - Der Name des InternalFrame.
  `titel` - Der Titel des InternalFrame.

Method Detail

### setDragging

    public void setDragging(boolean isDragging)

  Wird vom DesktopManager aufgerufen, wenn dieses InternalFrame bewegt werden soll.

  Parameters:
    `isDragging` - `true` wenn das InternalFrame bewegt werden soll, ansonsten `false`.
  See Also:
    `BusinessDesktopFrameController.beginDraggingFrame(JComponent)`, `BusinessDesktopFrameController.endDraggingFrame(JComponent)`

### isDragging

    public boolean isDragging()

  Gibt zurueck, ob dieses InternalFrame bewegt wird oder nicht.

  Returns:
    `true`, wenn dieses InternalFrame bewegt wird, ansonsten `false`.

### setDanger

    public void setDanger(boolean danger)

  Kennzeichnet, das dieses InternalFrame moeglicherweise neu gezeichnet werden sollte, da es teilweise ausserhalb des sichtbaren Bildschirmes gelegen hat.

  Parameters:
    `danger` - `true`, wenn das InternalFrame durch Bewegung ausserhalb des sichtbaren Bildschirmes neu gezeichnet werden sollte, ansonsten `false`.
  See Also:
    `de.jsystems.framework.desktop.BusinessDesktopFrameController#emergencyCleanup(JComponent)`

### isDanger

    public boolean isDanger()

  Gibt den durch die Methode `setDanger(boolean)` gesetzten Status zurueck.

  Returns:
    `true`, wenn das InternalFrame durch Bewegung ausserhalb des sichtbaren Bildschirmes neu gezeichnet werden sollte, ansonsten `false`.
  See Also:
    `de.jsystems.framework.desktop.BusinessDesktopFrameController#emergencyCleanup(JComponent)`

### paintComponent

    protected void paintComponent(Graphics g)

  Zeichnet das InternalFrame neu. Falls die Methode `isDragging()` `true` zurueckgibt, wird der Status `isDanger()` auch auf `true` gesetzt.

### getController

    public BusinessInternalFrameController getController()

  Gibt den Controller dieses Frames zurück.

  Returns:
    Der Controller des InternalFrame.

### setController

    public void setController(BusinessInternalFrameController internalFrameController)

  Setzt den Controller für dieses Frame.

  Parameters:
    `internalFrameController` - Der controller fuer das InternalFrame.

### getName

    public String getName()

  Gibt den Namen des Frames zurück. Dieser Name wird im Fenstermenue des Desktop angezeigt.

  Returns:
    Der Name des InternalFrame.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD